Bug 13865 - Columns configuration - Orders search
Summary: Columns configuration - Orders search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10212 13864
Blocks: 13866
  Show dependency treegraph
 
Reported: 2015-03-18 12:22 UTC by Jonathan Druart
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13865: Columns configuration - Orders search (3.06 KB, patch)
2015-03-18 12:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13865: Columns configuration - Orders search (3.08 KB, patch)
2015-03-30 08:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13865: Columns configuration - Orders search (3.19 KB, patch)
2015-03-30 13:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 13865: Columns configuration - Orders search (3.25 KB, patch)
2015-04-10 13:29 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-03-18 12:22:40 UTC

    
Comment 1 Jonathan Druart 2015-03-18 12:27:35 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2015-03-29 20:32:52 UTC
git15:32 ~/kohaclone (master % u=)$ git qa 13865
From git://git.koha-community.org/koha
 * branch            master     -> FETCH_HEAD
Branch bug13865-qa set up to track remote branch master from origin.
Switched to a new branch 'bug13865-qa'
Bug 13865 - Columns configuration - Orders search

36981 - Bug 13865: Columns configuration - Orders search

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 13865: Columns configuration - Orders search
fatal: sha1 information is lacking or useless (admin/columns_settings.yml).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 13865: Columns configuration - Orders search
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-13865-Columns-configuration---Orders-search-hnC7nE.patch
Comment 3 Jonathan Druart 2015-03-30 08:42:41 UTC
Apply cleanly on top of bug 13864.
Comment 4 Jonathan Druart 2015-03-30 08:57:31 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2015-03-30 13:35:13 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2015-04-10 13:29:20 UTC
Created attachment 37649 [details] [review]
[PASSED QA] Bug 13865: Columns configuration - Orders search

This patch adds the ability to hide columns on the orders search page
(acqui/histsearch.pl).

Test plan:
Go on the orders search page and confirm you are able to hide columns.
You can also play with the columns configuration admin page and confirm
that the behaviors are consistent.

Signed-off-by: Nicole <nicole@bywatersolutions.com>

http://bugs.koha-community.org/show_bug.cgi?id=13685

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2015-04-13 13:38:45 UTC
Patch pushed to master.

Thanks Jonathan!